
function evalNode(oNode) {
	if (oNode.getChild('type').getValue()=='heating-mode') {
		var zoneID=oNode.getChild('zone').getValue();
		var operationMode=oNode.getChild('mode').getValue();				
		var fReset=false;
		if (oNode.getChild('reset')!=null)
			fReset=oNode.getChild('reset').getValue();
		var actionParameter = {
				'zoneID' : zoneID,						
				'operationMode':operationMode
			}	
		if (!fReset)
			actionParameter.actions='setOperationMode';
		else
			actionParameter.actions='resetOperationMode';
		new Event('heating-controller.operation-mode',actionParameter).raise();
	}	
}

function action_execute() {
		if (raisedEvent.parameter.path==null)
			return;
		if (Property.getNode(raisedEvent.parameter.path+'/actions')==null)
			return;
		if (Property.getNode(raisedEvent.parameter.path+'/actions').getChildren()==null)
			return;
		var oActionArray=Property.getNode(raisedEvent.parameter.path+'/actions').getChildren();
		for (var iIndex=0;iIndex<oActionArray.length;iIndex++) {
			try {
				evalNode(oActionArray[iIndex]);
			} catch (e) {
				
			}
		}
}

function highlevelevent() {
	if (raisedEvent.parameter.id==null)
		return;
	if (Property.getNode('/usr/events/' + raisedEvent.parameter.id + '/actions')==null)
		return;
	if (Property.getNode('/usr/events/' + raisedEvent.parameter.id + '/actions').getChildren()==null)
		return;
	var oActionArray=Property.getNode('/usr/events/' + raisedEvent.parameter.id + '/actions').getChildren();
	for (var iIndex=0;iIndex<oActionArray.length;iIndex++) {
		try {
			evalNode(oActionArray[iIndex]);
		} catch (e) {
			
		}
	}
}

if (raisedEvent.name=='highlevelevent') {
	highlevelevent();
} else 
	action_execute();